using Encompass;

namespace PongFE.Messages
{
    public enum PaddleMoveDirection
    {
        Up,
        Down
    }

    public struct PaddleMoveMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public PaddleMoveDirection PaddleMoveDirection { get; }

        public PaddleMoveMessage(Entity entity, PaddleMoveDirection paddleMoveDirection)
        {
            Entity = entity;
            PaddleMoveDirection = paddleMoveDirection;
        }
    }
}
